#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QSqlDatabase>
#include <QSqlQuery>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    // .pro ... QT += ... sql
    // #include <QSqlDatabase>
    // #include <QSqlQuery>

    QSqlDatabase db = QSqlDatabase::addDatabase ("QSQLITE");
    // db.setDatabaseName (":memory:");
    db.setDatabaseName ("file.sqlite");
    db.open ();

    QString cmd = "DROP TABLE colors";

    db.exec (cmd);

    cmd = "CREATE TABLE colors "
          "(name TEXT, red INTEGER, green INTEGER, blue INTEGER)";

    db.exec (cmd);

    cmd = "INSERT INTO colors (name, red, green, blue) VALUES"
          "('blue',  0, 0, 255) ,"
          "('red',   255, 0, 0) ,"
          "('orange',   255, 128, 0) ,"
          "('green', 0, 255, 0)" ;

    db.exec (cmd);

    cmd = "SELECT * FROM colors WHERE red != 0";

    QSqlQuery q = db.exec (cmd);
    while (q.next ())
    {
        // QString s = q.value ("name").toString();
        QString s;
        for (int i = 0; i < 4; i++ )
            s = s + q.value (i).toString() + " ";
        ui->textEdit->append (s);
    }
}
